



pushd test-cmake
IF %ERRORLEVEL% NEQ 0 exit /B 1
cmake . -GNinja -DCMAKE_BUILD_TYPE=Release
IF %ERRORLEVEL% NEQ 0 exit /B 1
cmake --build . --verbose
IF %ERRORLEVEL% NEQ 0 exit /B 1
popd
IF %ERRORLEVEL% NEQ 0 exit /B 1
if not exist %CONDA_PREFIX%\\Library\\bin\\opencv_aruco455.dll exit 1
IF %ERRORLEVEL% NEQ 0 exit /B 1
if not exist %CONDA_PREFIX%\\Library\\bin\\opencv_bgsegm455.dll exit 1
IF %ERRORLEVEL% NEQ 0 exit /B 1
if not exist %CONDA_PREFIX%\\Library\\bin\\opencv_calib3d455.dll exit 1
IF %ERRORLEVEL% NEQ 0 exit /B 1
if not exist %CONDA_PREFIX%\\Library\\bin\\opencv_ccalib455.dll exit 1
IF %ERRORLEVEL% NEQ 0 exit /B 1
if not exist %CONDA_PREFIX%\\Library\\bin\\opencv_core455.dll exit 1
IF %ERRORLEVEL% NEQ 0 exit /B 1
if not exist %CONDA_PREFIX%\\Library\\bin\\opencv_datasets455.dll exit 1
IF %ERRORLEVEL% NEQ 0 exit /B 1
if not exist %CONDA_PREFIX%\\Library\\bin\\opencv_features2d455.dll exit 1
IF %ERRORLEVEL% NEQ 0 exit /B 1
if not exist %CONDA_PREFIX%\\Library\\bin\\opencv_flann455.dll exit 1
IF %ERRORLEVEL% NEQ 0 exit /B 1
if not exist %CONDA_PREFIX%\\Library\\bin\\opencv_fuzzy455.dll exit 1
IF %ERRORLEVEL% NEQ 0 exit /B 1
if not exist %CONDA_PREFIX%\\Library\\bin\\opencv_highgui455.dll exit 1
IF %ERRORLEVEL% NEQ 0 exit /B 1
if not exist %CONDA_PREFIX%\\Library\\bin\\opencv_imgcodecs455.dll exit 1
IF %ERRORLEVEL% NEQ 0 exit /B 1
if not exist %CONDA_PREFIX%\\Library\\bin\\opencv_imgproc455.dll exit 1
IF %ERRORLEVEL% NEQ 0 exit /B 1
if not exist %CONDA_PREFIX%\\Library\\bin\\opencv_line_descriptor455.dll exit 1
IF %ERRORLEVEL% NEQ 0 exit /B 1
if not exist %CONDA_PREFIX%\\Library\\bin\\opencv_ml455.dll exit 1
IF %ERRORLEVEL% NEQ 0 exit /B 1
if not exist %CONDA_PREFIX%\\Library\\bin\\opencv_optflow455.dll exit 1
IF %ERRORLEVEL% NEQ 0 exit /B 1
if not exist %CONDA_PREFIX%\\Library\\bin\\opencv_phase_unwrapping455.dll exit 1
IF %ERRORLEVEL% NEQ 0 exit /B 1
if not exist %CONDA_PREFIX%\\Library\\bin\\opencv_photo455.dll exit 1
IF %ERRORLEVEL% NEQ 0 exit /B 1
if not exist %CONDA_PREFIX%\\Library\\bin\\opencv_plot455.dll exit 1
IF %ERRORLEVEL% NEQ 0 exit /B 1
if not exist %CONDA_PREFIX%\\Library\\bin\\opencv_reg455.dll exit 1
IF %ERRORLEVEL% NEQ 0 exit /B 1
if not exist %CONDA_PREFIX%\\Library\\bin\\opencv_rgbd455.dll exit 1
IF %ERRORLEVEL% NEQ 0 exit /B 1
if not exist %CONDA_PREFIX%\\Library\\bin\\opencv_saliency455.dll exit 1
IF %ERRORLEVEL% NEQ 0 exit /B 1
if not exist %CONDA_PREFIX%\\Library\\bin\\opencv_shape455.dll exit 1
IF %ERRORLEVEL% NEQ 0 exit /B 1
if not exist %CONDA_PREFIX%\\Library\\bin\\opencv_stereo455.dll exit 1
IF %ERRORLEVEL% NEQ 0 exit /B 1
if not exist %CONDA_PREFIX%\\Library\\bin\\opencv_stitching455.dll exit 1
IF %ERRORLEVEL% NEQ 0 exit /B 1
if not exist %CONDA_PREFIX%\\Library\\bin\\opencv_structured_light455.dll exit 1
IF %ERRORLEVEL% NEQ 0 exit /B 1
if not exist %CONDA_PREFIX%\\Library\\bin\\opencv_superres455.dll exit 1
IF %ERRORLEVEL% NEQ 0 exit /B 1
if not exist %CONDA_PREFIX%\\Library\\bin\\opencv_surface_matching455.dll exit 1
IF %ERRORLEVEL% NEQ 0 exit /B 1
if not exist %CONDA_PREFIX%\\Library\\bin\\opencv_tracking455.dll exit 1
IF %ERRORLEVEL% NEQ 0 exit /B 1
if not exist %CONDA_PREFIX%\\Library\\bin\\opencv_video455.dll exit 1
IF %ERRORLEVEL% NEQ 0 exit /B 1
if not exist %CONDA_PREFIX%\\Library\\bin\\opencv_videoio455.dll exit 1
IF %ERRORLEVEL% NEQ 0 exit /B 1
if not exist %CONDA_PREFIX%\\Library\\bin\\opencv_videostab455.dll exit 1
IF %ERRORLEVEL% NEQ 0 exit /B 1
if not exist %CONDA_PREFIX%\\Library\\bin\\opencv_xfeatures2d455.dll exit 1
IF %ERRORLEVEL% NEQ 0 exit /B 1
if not exist %CONDA_PREFIX%\\Library\\bin\\opencv_ximgproc455.dll exit 1
IF %ERRORLEVEL% NEQ 0 exit /B 1
if not exist %CONDA_PREFIX%\\Library\\bin\\opencv_xphoto455.dll exit 1
IF %ERRORLEVEL% NEQ 0 exit /B 1
exit /B 0
